commit: 983c12d1f8c7c956bbe14319b7d41989f4c72b83
parent e10eddd20ec78de55b0a846beb5d6444bbba915c
Author: Haelwenn (lanodan) Monnier <contact@hacktivis.me>
Date: Tue, 7 Apr 2026 09:46:59 +0200
extras/samurai: new
Signed-off-by: Haelwenn (lanodan) Monnier <contact@hacktivis.me>
X-Contrib-Policy: CONTRIBUTING.md 2026-03-12
Diffstat:
5 files changed, 13 insertions(+), 0 deletions(-)
diff --git a/distfiles.SHA512SUM b/distfiles.SHA512SUM
@@ -40,6 +40,7 @@ a26606a683a84a5a29c487748d4645e47877ff043f5ce938d07ed519d9e6f75ba8ed84b2d7c31de8
0e2e2fb1a39983b8c2bc54d4892ddac834319953128fcebd7162b12328e1a27d3aaad57e8512ea8e80fb200c5cacf8116d0936804d9e21f10dce411df855fda7 distfiles/pdpmake-2.0.4.tgz
ae3d9d593e1645d65f9ab77aa828600c9af4bb30d0a073da7ae3dd805e65b87efaf6a0efb980f2d0168e475ae506eba194547d6479956dabb9d88293a9078a7f distfiles/pigz-2.8.tar.gz
53244f372ea21125a1d97c5b89a84299740b55a66165782e807ed23adab3a07408a1547f1f40156e3060359660d07f49846c8b4893beef10ac9440ab7e8611cc distfiles/pkgconf-pkgconf-2.5.1.tar.gz
+cdd9057c49a349c3025ce505d9c6fd466628035e9468affac64ef06caeab70e786890e6478e0074ad5726ff46112ad26f02f1a05d4afe3717b04f14b0edc0704 distfiles/samurai-1.3.tar.gz
b050d22a0446e3e2439f59762f3b40104bc1c8361c6ac17a410c0d13c06af497470d468ba50de97b50181a959ae3189b2dba089162dbade536803c8ff96b2d83 distfiles/sbase-b30fb568.tar.gz
7c4d5a8749cdda89f8db7a4858ae988bd8bca40060e6e17981c1e08179659538c7e35b4ce7450835d01bee6f17ca9a33bd117c22fe9549fc2c89fd815804c17b distfiles/tcc-0.9.27_git20250619-r0.apk.aarch64
6923594050fb3a968b265dd2db27c88bdafa03246129f295047acf60e68b2caf4b2b0dc30a1e9d18970a8e1de0403f38257452380cb04daac276c3962f6c8e72 distfiles/tcc-0.9.27_git20250619-r0.apk.armhf
diff --git a/extras-build-all.sh b/extras-build-all.sh
@@ -9,6 +9,8 @@ set -ex
/extras/bearssl.sh
+/extras/samurai.sh
+
/extras/muon-stage1.sh
/extras/pkgconf.sh
/extras/muon-stage2.sh # libpkgconf
diff --git a/extras/samurai.sh b/extras/samurai.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -ex
+
+cd /extras/samurai-*[0-9]/
+
+pdpmake CC=tcc
+pdpmake install
diff --git a/fetch.sh b/fetch.sh
@@ -69,6 +69,7 @@ fetch_forge https://github.com/ibara/yacc/archive/refs/tags yacc oyacc-6.6
fetch_forge https://github.com/pkgconf/pkgconf/archive/refs/tags pkgconf pkgconf-2.5.1
fetch_forge https://github.com/bestouff/genext2fs/archive genext2fs v1.6.2
fetch_forge https://github.com/openwrt/usign/archive usign f1f65026a94137c91b5466b149ef3ea3f20091e9
+fetch_forge https://github.com/michaelforney/samurai/archive/refs/tags samurai 1.3
# suckless.org doesn't provides snapshots of sbase (yet?)
test -e sbase-b30fb568.tar.gz || curl ${CURL_OPTS} -o sbase-b30fb568.tar.gz https://git.sr.ht/~mcf/sbase/archive/b30fb56804bfed69b45ef0e944d2e029e4d26258.tar.gz
diff --git a/make-root.sh b/make-root.sh
@@ -38,6 +38,7 @@ extra_tarballs="
BearSSL-3c040368f6791553610e362401db1efff4b4c5b8.tar.gz
tiny-curl-8.4.0.tar.gz
git-2.52.0.tar.gz
+ samurai-1.3.tar.gz
muon-v0.5.0.tar.gz
genext2fs-v1.6.2.tar.gz
usign-f1f65026a94137c91b5466b149ef3ea3f20091e9.tar.gz
@@ -57,6 +58,7 @@ extra_local_files="
extras/muon-stage2.sh
extras/pkgconf-lite.sh
extras/pkgconf.sh
+ extras/samurai.sh
extras/tiny-curl.sh
extras/usign.sh
"